
QGIS Application - Bug report #8047

gdaltool's  input / ouptut file selector broken following SIP upgrade

2013-06-12 06:31 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16889

Description

Steps to reproduce (with input):

1. Open gdaltool's merge dialog (Raster > Miscellaneous > Merge)

2. Click on the Input files' Select button

3. Choose any raster file (a single file is fine to expose bug) and click on the Open button

4. QGIS then throws an error box saying:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\GdalTools\\tools\\doMerge.py", line 91, in fillInputFilesEdit

    if files.isEmpty():

AttributeError: 'list' object has no attribute 'isEmpty'

Steps to reproduce (with output):

1. Open gdaltool's merge dialog (Raster > Miscellaneous > Merge)

2. Click on the Output files' Select button

3. Type in a dummy raster name (i.e. crash_me.tif) and click on the Save button

4. QGIS then throws an error box saying:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\GdalTools\\tools\\doMerge.py", line 123, in fillOutputFileEdit

    if outputFile.isEmpty():

AttributeError: 'unicode' object has no attribute 'isEmpty'

History

#1 - 2013-06-12 06:31 PM - Mathieu Pellerin - nIRV

- Priority changed from Normal to Severe/Regression

- Category set to GDAL Tools

#2 - 2013-06-12 09:58 PM - Mathieu Pellerin - nIRV

Note: after some testing, it's affecting most (if not all) of gdaltool's functions with input / output file select button.

#3 - 2013-06-13 03:00 AM - Giovanni Manghi

- Subject changed from gdaltool's merge function input / ouptut file selector broken following SIP upgrade to gdaltool's  input / ouptut file selector broken 
following SIP upgrade

- Target version set to Version 2.0.0

confirmed here.

#4 - 2013-06-14 03:38 PM - Salvatore Larosa

- Resolution set to fixed

- Status changed from Open to Closed

Fixed by Etienne in commit:84d77663d8478e14dbd6534d624545a632db7307
